tech-kern archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: NetBSD 5.0.1 and kmods

On Sat, 30 Jan 2010, Matthew Mondor wrote:

On Sat, 30 Jan 2010 13:11:09 -0500
Matthew Mondor <> wrote:

Unless this recently changed, I think that netbsd-5 modload(8)
currently only supports the dynamic loading of LKMs (old-style modules
from /usr/lkm/).

I think that I misread though, I'm not sure if the netbsd-5 boot loader
can load such modules (it doesn't need to, however, considering netbsd-5
still uses LKMs and that ffs support is monolithically compiled)...

The bootloader can read such modules - that's how miniroot.kmod is loaded for you to install with.


Home | Main Index | Thread Index | Old Index